- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
StarAttributeManager Class Reference

the main class to read/. More...

`#include <StarAttribute.hxx>`

## Public Member Functions
| StarAttributeManager ()
| constructor More...
virtual | ~StarAttributeManager ()
| destructor More...
shared_ptr< StarAttribute > | readAttribute (StarZone &zone, int which, int vers, long endPos, StarObject &document)
| try to read an attribute and return it More...
shared_ptr< StarAttribute > | getDefaultAttribute (int which)
| try to return the default attribute More...

## Static Public Member Functions
static shared_ptr< StarAttribute > | getDummyAttribute (int type=-1)
| return a dummy attribute More...

## Private Attributes
shared_ptr< StarAttributeInternal::State > | m_state
| the state More...

## Detailed Description

the main class to read/.

. a StarOffice attribute

## Constructor & Destructor Documentation

StarAttributeManager::StarAttributeManager | ( |  | ) |

constructor

StarAttributeManager::~StarAttributeManager | ( |  | ) |
| virtual

destructor

## Member Function Documentation

shared_ptr< StarAttribute > StarAttributeManager::getDefaultAttribute | ( | int | which | ) |

try to return the default attribute

shared_ptr< StarAttribute > StarAttributeManager::getDummyAttribute | ( | int | type = `-1` | ) |
| static

return a dummy attribute

Referenced by StarItemPoolInternal::State::getDefaultAttribute(), getDefaultAttribute(), StarItemPool::readAttribute(), readAttribute(), and StarItemPool::readItem().

shared_ptr< StarAttribute > StarAttributeManager::readAttribute | ( | StarZone & | zone,
|  | int | which,
|  | int | vers,
|  | long | endPos,
|  | StarObject & | document
| ) |  |

try to read an attribute and return it

## Member Data Documentation

shared_ptr<StarAttributeInternal::State> StarAttributeManager::m_state
| private

the state

Referenced by getDefaultAttribute(), and readAttribute().

The documentation for this class was generated from the following files:

- StarAttribute.hxx
- StarAttribute.cxx